﻿$ErrorActionPreference = 'Stop'

$packageArgs = @{
    packageName    = $env:ChocolateyPackageName
    url            = 'https://justgetflux.com/flux-setup.exe'
    checksum       = '606FA89FF2A594C88595F4EF152FA7C6F89EA36FCA49D26D66756680816477E8'
    checksumType   = 'SHA256'
    fileType       = 'EXE'
    silentArgs     = '/S'
    validExitCodes = @(0)
}

Install-ChocolateyPackage @packageArgs

# only create the shortcut in startup if the /noautostart parameter has not been passed
$arguments = Get-PackageParameters -Parameter $env:ChocolateyPackageParameters
if (-not $arguments.ContainsKey("noautostart")) {
    $params = @{
        ShortcutFilePath    = Join-Path -Path ([Environment]::GetFolderPath('Startup')) -ChildPath 'f.lux.lnk'
        TargetPath          = Join-Path -Path ([Environment]::GetFolderPath('LocalApplicationData')) -ChildPath 'FluxSoftware\Flux\flux.exe'
        WorkingDirectory    = Join-Path -Path ([Environment]::GetFolderPath('LocalApplicationData')) -ChildPath 'FluxSoftware\Flux\runtime'
        Arguments           = '/noshow'
    }
    
    Install-ChocolateyShortcut @params
}
